## dzl-path dzl-path |

## Functions

DzlPath * | dzl_path_new ()
void | dzl_path_prepend ()
void | dzl_path_append ()
GList * | dzl_path_get_elements ()
gboolean | dzl_path_has_prefix ()
guint | dzl_path_get_length ()
DzlPathElement * | dzl_path_get_element ()
gchar * | dzl_path_printf ()
gboolean | dzl_path_is_empty ()

## Types and Values

#define | DZL_TYPE_PATH
| DzlPath

## Object Hierarchy

        GObject
        ╰── DzlPath

## Description

## Functions

### dzl_path_new ()

    DzlPath *
    dzl_path_new (void);

### dzl_path_prepend ()

    void
    dzl_path_prepend (DzlPath *self,
                      DzlPathElement *element);

### dzl_path_append ()

    void
    dzl_path_append (DzlPath *self,
                     DzlPathElement *element);

### dzl_path_get_elements ()

    GList *
    dzl_path_get_elements (DzlPath *self);

#### Returns

The elements of the path.

[transfer none][element-type Dazzle.PathElement]

### dzl_path_has_prefix ()

    gboolean
    dzl_path_has_prefix (DzlPath *self,
                         DzlPath *prefix);

### dzl_path_get_length ()

    guint
    dzl_path_get_length (DzlPath *self);

### dzl_path_get_element ()

    DzlPathElement *
    dzl_path_get_element (DzlPath *self,
                          guint index);

Gets the path element found at `index` .

Indexes start from zero.

#### Returns

An DzlPathElement.

[nullable][transfer none]

### dzl_path_printf ()

    gchar *
    dzl_path_printf (DzlPath *self);

### dzl_path_is_empty ()

    gboolean
    dzl_path_is_empty (DzlPath *self);

## Types and Values

### DZL_TYPE_PATH

    #define DZL_TYPE_PATH (dzl_path_get_type())

### DzlPath

    typedef struct _DzlPath DzlPath;